package io.zipcoder.interfaces;

import java.util.ArrayList;

public class Instructors {

    private ArrayList<Instructor> teacherList;

    private static Instructors INSTANCE = null;

    private Instructors() {
        teacherList = new ArrayList<Instructor>();
    }

    public static Instructors getInstance() {
        if(INSTANCE == null){
            INSTANCE = new Instructors();
        }
        return INSTANCE;
    }

    public void addTeacher(Instructor instructor){
        teacherList.add(instructor);
    }

    public int getSize(){
        return teacherList.size();
    }


}

