package io.zipcoder.interfaces;

import java.util.ArrayList;

public class Students extends People {

    private ArrayList<Student> studentList;

    private static Students INSTANCE = null;

    private Students() {
        studentList = new ArrayList<Student>();
    }

    public static Students getInstance() {
        if(INSTANCE == null){
            INSTANCE = new Students();
        }
        return INSTANCE;
    }

    public void addStudent(Student student){
        studentList.add(student);
    }

    public int getSize(){
        return studentList.size();
    }


}