package io.zipcoder.interfaces;

import org.junit.Test;

import static org.junit.Assert.*;

public class InstructorTest {
    @Test
    public void testImplementation() {
        Instructor s = new Instructor(999);
        assertTrue(s instanceof Teacher);

    }
    @Test
    public void testInheritance() {
        Instructor s = new Instructor(999);
        assertTrue(s instanceof Person);

    }
    @Test
    public void teach() {
        Instructor i = new Instructor(999);
        Student s = new Student(999);
        i.teach(s, 50);
        double actual = s.getTotalStudyTime();
        double expected = 50;
        assertEquals(expected, actual, .0005);

    }

    @Test
    public void lecture() {
        Student[] sArray = new Student[2];
        Student s1 = new Student(999);
        Student s2 = new Student(99);
        Instructor i = new Instructor(9);
        sArray[0] = s1;
        sArray[1] = s2;
        i.lecture(sArray, 100);
        double actual = s1.getTotalStudyTime();
        double expected = 50;
        assertEquals(expected, actual, .0005);


    }
}