package io.zipcoder.interfaces;

import org.junit.Test;
import java.util.ArrayList;
import static org.junit.Assert.*;

public class PeopleTest {

    @Test
    public void testAdd() {
        Person p = new Student(999);
        People pArray = new People();
        pArray.add(p);
        int actual = pArray.getCount();
        int expected = 1;
        assertEquals(expected,actual);
    }

    @Test
    public void testRemove() {
        Person p = new Student(999);
        People pArray = new People();
        pArray.add(p);
        pArray.remove(p);
        int actual = pArray.getCount();
        int expected = 0;
        assertEquals(expected,actual);
    }

    @Test
    public void testFindById() {
        Person p = new Student(999);
        People pArray = new People();
        pArray.add(p);
        Person actual = pArray.findById(999);
        Person expected = p;
        assertEquals(expected, actual);

    }


}